HOSTNAME(1)

NAME
hostname - show or set the system host name

SYNOPSIS
hostname [option ...] [name]

DESCRIPTION
Show the system's host name, or set it if name is specified.

OPTIONS

-a, --aliases
    Also show aliases for the host name.

-d, --domain
    Show the DNS domain name.

-f, --fqdn, --long
    Show the DNS host name or FQDN.

-F, --file file
    Set the host name or NIS domain name from file.

-i, --ip-addresses
    Show the addresses for the host name.

-s, --short
    Show the short host name.

-y, --yp, --nis
    Show the NIS/YP domain name.

?, --help
    Give this help list.

--usage
    Give a short usage message.

-V, --version
    Print program version.